Subject: [Roll] question about section 1.2.

From: Yoav Ben-Yehezkel <[email-masked]>
Date: Sat, 17 Jul 2010 10:44:36 +0300

Hi,

Should we mention here that L1/2 performance characteristics primitives are
expected to be passed to RPL for its metrics calculations?

Thanks,

Yoav

1.2.  Expectations of Link Layer Type

   In compliance with the layered architecture of IP, RPL does not rely

   on any particular features of a specific link layer technology.  RPL

   is designed to be able to operate over a variety of different link

   layers, including but not limited to, low power wireless or PLC

   (Power Line Communication) technologies.

   Implementers may find [RFC3819] a useful reference when designing a

   link layer interface between RPL and a particular link layer

   technology.

---

From: JP Vasseur <[email-masked]>
Date: Sat, 17 Jul 2010 23:32:53 +0200

Hi Yoav,

On Jul 17, 2010, at 9:44 AM, Yoav Ben-Yehezkel wrote:

> Hi,
>
> Should we mention here that L1/2 performance characteristics  
> primitives are expected to be passed to RPL for its metrics  
> calculations?

This is en implementation issue. If other SDO defines such API and use  
a RPL routing metric specified here, then great.
But we do not to mention it in this document.

Thanks.

JP.

> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll